User API

get /users/{id}

Get user by ID

Base URL https://api.vseepreview.com/api_v3 · operationId getUserById

Authentication: User Token — Requires a user access token from login or SSO.

Get profile data of a particular user, including fields from the extended profile (if any).

Tip: The :id parameter also accepts dash (-) to refer to the current authenticated user.

Returns the full profile including extended profile fields, rooms, clinics, and account info.

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)
X-AccountCodeheaderstringyesAccount code (e.g. vclinic)
idpathstringyesUser ID, or `-` for the current user (e.g. 27769243)

Responses

200 — Successful response

Get user profile — Full user profile with extended fields

{
  "data": {
    "id": "27769243",
    "code": "63f67706de344db98a6461d00adc646e",
    "first_name": "anton",
    "last_name": "test_2",
    "full_name": "anton test_2",
    "username": "anton+test2@vseelab.com",
    "vseeid": "cmo+user27769243",
    "dob": "1980-01-01",
    "email": "anton+test2@vseelab.com",
    "gender": 1,
    "active": true,
    "tos": true,
    "status": 20,
    "subtype": "",
    "timezone": "Europe/Berlin",
    "email_verified": true,
    "signup_step": 99,
    "extra": {
      "marital_status": "married",
      "gender_identity": "Choose Not To Disclose",
      "social_security_no": "",
      "veteran": "",
      "race": "",
      "ethnicity": "",
      "health_insurance": "",
      "insurance": "",
      "insurance_policy_number": "",
      "attachments": null,
      "emerg_contact_name": ""
    },
    "account_code": "vclinic",
    "clinics": [
      "vclinic"
    ],
    "rooms": [
      {
        "id": "865244556",
        "code": "vclinic_room_code",
        "slug": "uat",
        "name": "UAT",
        "account_code": "vclinic",
        "domain": "vclinic.vsee.me",
        "default": true,
        "added_time": 1677096710,
        "source": "signup"
      }
    ],
    "created": 1677096710,
    "type": 200
  }
}

401 — Unauthorized

{
  "code": 404,
  "message": "Sorry, this page is not available."
}

404 — Not Found

{
  "code": 404,
  "message": "Sorry, this page is not available."
}

Machine-readable: OpenAPI JSON (operationId: getUserById)